SHA

Does SHA256 algorithm is compatible for  Artix 4.1 version ? Need any negotiation or change for the authentication

  • Artix 4.1 is a very old version of Artix and does not support SHA256. We do however support SHA256 in the latest version of Artix (5.6.3).

  • In reply to MartinMu:

    Thanks Martin for the reply. I have a doubt. How to support application that uses SHA256 algorithm for authentication if we use artix 4.1 ? any negotiation applicable. Thank u .

  • In reply to sikkandar:

    The approach is to upgrade your Artix 4.1 application to the latest version of Artix.

  • In reply to MartinMu:

    ok. Artix 4.1 supports which authentication and cryptographic algorithms ?

  • In reply to sikkandar:

    This is documented in the Artix 4.1 security guide:

    supportline.microfocus.com/.../security_guide.pdf

    See Chapter 14 "Configuring HTTPS and IIOP/TLS Secure Associations"

    See the section Supported Cipher Suites

  • In reply to MartinMu:

    Hello Martin and all,
    does Artix 5.5 supports TLS1.2 and how can i configure it?
  • In reply to khaled:

    Artix 5.5 does not support TLS1.2. If you need TLS 1.2 support you must upgrade to Artix 5.6.4.
  • In reply to scott.kay:

    Hello Scott,
    Thanks for your reply!

    Does it support TLS1.1? if Yes, then any hint how to configure it?
    if No, is this because Artix 5.5 uses java 1.5 which supports only TLS 1.0?

    Actually we have a server that we integrate with, from Artix using TLS1.0, and they are going to stop TLS1.0 and allow only TLS1.1/TLS1.2

    It is little bit confusing for me, and I'd appreciate if you can extend your support to help in my queries.

    Regards,
    Khaled
  • In reply to khaled:

    Hello Khaled,

    Artix 5.5 does not support TLSv1.1 as well. The versions of the SSL/TLS protocol that are supported by Artix ESB depend on the particular JSSE provider configured. By default SunJSSE is configured and as you know in JDK 1.5, it does not support TLSv1.1/1.2.

    So, you will have to upgrade to the latest version of Artix 5.6.4 to get TLSv1.1 and/or TLSv1.2 support.

    Regards,
    Karthi.
  • In reply to Karthikeyan:

    Thanks Karthi for your reply.